Bug 182114 - master password dialog is shown even in --nogui mode
master password dialog is shown even in --nogui mode
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Options&Settings
6.x
PC All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@platform
:
Depends on:
Blocks: 173413
  Show dependency treegraph
 
Reported: 2010-03-16 13:47 UTC by Alexey Vladykin
Modified: 2010-04-13 17:36 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Vladykin 2010-03-16 13:47:54 UTC
We are developing a command-line application based on NetBeans platform. To hide NetBeans UI we give it "--nosplash --nogui" args. But it still shows the "Enter Master Password" dialog when the code accesses keyring.
Comment 1 Jesse Glick 2010-04-06 13:11:31 UTC
Could disable it if java.awt.headless=true is given, which --nogui could probably set among its other chores.

Workaround is trivial:

---%<--- META-INF/services/org.netbeans.modules.keyring.spi.EncryptionProvider
#-org.netbeans.modules.keyring.fallback.MasterPasswordEncryption
---%<---
Comment 2 Jesse Glick 2010-04-12 21:30:56 UTC
After core-main #f169ed329bdd you should be able to pass -J-Djava.awt.headless=true to suppress master password encryption. Untested.

(--nogui just instructs NB to not show the main window. Setting the JRE to be headless is a stronger condition which implies --nogui.)
Comment 3 Quality Engineering 2010-04-13 17:36:41 UTC
Integrated into 'main-golden', will be available in build *201004131450* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/f169ed329bdd
User: Jesse Glick <jglick@netbeans.org>
Log: #182114: disable when headless.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo